<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:08:40 PST 2017 -->
<title>GetSet</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GetSet";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/getset/GetSetData.html" title="class in xdc.services.getset"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/GetSet.html" target="_top">Frames</a></li>
<li><a href="GetSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.getset</div>
<h2 title="Class GetSet" class="title">Class GetSet</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>xdc.services.getset.GetSet</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">GetSet</span>
extends java.lang.Object</pre>
<div class="block">A helper class to add getters and setters to a field of an XDCscript
 object.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/getset/GetSet.html#GetSet()">GetSet</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#getDebug()">getDebug</a></strong>()</code>
<div class="block">Get whether to print debug trace.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#init(xdc.services.intern.xsr.Value.Observable)">init</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj)</code>
<div class="block">Initialize getter and setter support on every field.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#init(xdc.services.intern.xsr.Value.Observable, int)">init</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
    int&nbsp;prop)</code>
<div class="block">Initialize getter and setter support on an array element,
 or other property with a numeric index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#init(xdc.services.intern.xsr.Value.Observable, java.lang.String)">init</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
    java.lang.String&nbsp;prop)</code>
<div class="block">Initialize getter and setter support on a field, or other
 property labeled by an identifier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#onGet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">onGet</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
     int&nbsp;prop,
     org.mozilla.javascript.Callable&nbsp;getter)</code>
<div class="block">Add a user getter to the indicated array element, or other
 property with a numeric index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#onGet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">onGet</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
     java.lang.String&nbsp;prop,
     org.mozilla.javascript.Callable&nbsp;getter)</code>
<div class="block">Add a user getter to the named field of the object, or other
 property labeled by an identifier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#onSet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">onSet</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
     int&nbsp;prop,
     org.mozilla.javascript.Callable&nbsp;setter)</code>
<div class="block">Add a user setter to the indicated array element, or other
 property with a numeric index.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#onSet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">onSet</a></strong>(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
     java.lang.String&nbsp;prop,
     org.mozilla.javascript.Callable&nbsp;setter)</code>
<div class="block">Add a user setter to the named field of the object, or other
 property labeled by an identifier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/getset/GetSet.html#setDebug(boolean)">setDebug</a></strong>(boolean&nbsp;debug)</code>
<div class="block">Set whether to print debug trace.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GetSet()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GetSet</h4>
<pre>public&nbsp;GetSet()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init(xdc.services.intern.xsr.Value.Observable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;void&nbsp;init(xdc.services.intern.xsr.Value.Observable&nbsp;obj)</pre>
<div class="block">Initialize getter and setter support on every field.</div>
</li>
</ul>
<a name="init(xdc.services.intern.xsr.Value.Observable, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;void&nbsp;init(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
        java.lang.String&nbsp;prop)</pre>
<div class="block">Initialize getter and setter support on a field, or other
 property labeled by an identifier. If it does not already
 exist, add it.</div>
</li>
</ul>
<a name="init(xdc.services.intern.xsr.Value.Observable, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;void&nbsp;init(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
        int&nbsp;prop)</pre>
<div class="block">Initialize getter and setter support on an array element,
 or other property with a numeric index.
 If it does not already exist, add it.</div>
</li>
</ul>
<a name="onSet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSet</h4>
<pre>public static&nbsp;void&nbsp;onSet(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
         java.lang.String&nbsp;prop,
         org.mozilla.javascript.Callable&nbsp;setter)</pre>
<div class="block">Add a user setter to the named field of the object, or other
 property labeled by an identifier.</div>
</li>
</ul>
<a name="onSet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSet</h4>
<pre>public static&nbsp;void&nbsp;onSet(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
         int&nbsp;prop,
         org.mozilla.javascript.Callable&nbsp;setter)</pre>
<div class="block">Add a user setter to the indicated array element, or other
 property with a numeric index.</div>
</li>
</ul>
<a name="onGet(xdc.services.intern.xsr.Value.Observable, java.lang.String, org.mozilla.javascript.Callable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onGet</h4>
<pre>public static&nbsp;void&nbsp;onGet(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
         java.lang.String&nbsp;prop,
         org.mozilla.javascript.Callable&nbsp;getter)</pre>
<div class="block">Add a user getter to the named field of the object, or other
 property labeled by an identifier.</div>
</li>
</ul>
<a name="onGet(xdc.services.intern.xsr.Value.Observable, int, org.mozilla.javascript.Callable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onGet</h4>
<pre>public static&nbsp;void&nbsp;onGet(xdc.services.intern.xsr.Value.Observable&nbsp;obj,
         int&nbsp;prop,
         org.mozilla.javascript.Callable&nbsp;getter)</pre>
<div class="block">Add a user getter to the indicated array element, or other
 property with a numeric index.</div>
</li>
</ul>
<a name="getDebug()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDebug</h4>
<pre>public static&nbsp;boolean&nbsp;getDebug()</pre>
<div class="block">Get whether to print debug trace.</div>
</li>
</ul>
<a name="setDebug(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDebug</h4>
<pre>public static&nbsp;void&nbsp;setDebug(boolean&nbsp;debug)</pre>
<div class="block">Set whether to print debug trace.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/getset/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/getset/Fxn.html" title="class in xdc.services.getset"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/getset/GetSetData.html" title="class in xdc.services.getset"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/getset/GetSet.html" target="_top">Frames</a></li>
<li><a href="GetSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
